Subject: Re: [ANNOUNCEMENT] Updated: libtool-devel-1.5.6-3
From: "Gerrit P. Haase" <[email-masked]>
To: Charles Wilson <[email-masked]>
Date: Fri, 9 Jul 2004 12:21:48 +0200

Charles wrote:

> The libtool-devel package contains the 1.5.6 version of libtool, a 
> cross-platform tool for building libraries (shared and otherwise).  It
> enables relatively trouble-free builds of DLLs on cygwin and mingw.

> Changes from 1.5-3:

> o routine update to latest release version
> o Includes Gerrit's "expat" fix -- but only the first part of the patch:
>    http://www.cygwin.com/ml/cygwin/2003-09/msg01559.html
>    http://www.cygwin.com/ml/cygwin/2003-04/msg01283.html
>    http://www.cygwin.com/ml/cygwin/2003-04/msg01247.html

Hurray;) Many thanks.

OTOH I still need to use the second part of the patch if I don't want to
patch several Makefile.am's all the time... 

> o DESIGN DECISION: (this is a a change from pre-20021111 behavior)
>      libtool will refuse to create a shared library if any of its
>      dependencies are available only as static archives.  DLLs may
>      only depend on other DLLs (*)
> 
> 
> (*) This is a good idea. But, we need workarounds for the standard 
> runtime libs like libgcc.a, libstdc++.a, etc. These workarounds are 
> implemented in this libtool release.

This is great, now I don't need to use `pass_all' all the time when
building C++ shared libraries (e.g. libextractor).

BTW, it seems that not all announcements are going through to the cygwin
list, I'm missing gettext and autoconf announcements and I'm also missing
the gtk2-x11 announcement, or is just me who is not receiving all the
mail from the list?

Gerrit
-- 
=^..^=                                     http://nyckelpiga.de/donate.html

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/